#!/bin/bash

set -e

VENV_NAME=".venv"
PTHFILE="$PWD/$VENV_NAME/lib/python3.10/site-packages/$VENV_NAME.pth"
PYTHONPATH="$PWD/src/"

pip3 install virtualenv
python3 -m virtualenv $VENV_NAME
source "$VENV_NAME/bin/activate"
pip3 install -r requirements.txt

echo "$PYTHONPATH" > "$PTHFILE"
