#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include <pybind11/eigen.h>
#include <pca.h>

// el primer argumento es el nombre del modulo a exportar (que luego se llama desde python)
PYBIND11_MODULE(pcalib, m) {
    m.def(
        "add_one", &add_one,
        "Function that adds one to every element of the matrix"
    );

    m.def(
        "multiply_by_scalar", &multiply_by_scalar,
        "Function that multiplies every element by a scalar"
    );
    m.def(
        "add_row", &add_row,
        "Function that adds a vector to every row of the matrix"
    );
    m.def(
        "funcioncitah", &funcioncitah,
        "Dunno"
    );
}
