# Metodos - 2024 2C - TP2

## Requisitos

Para ejecutar los tests y experimentos se require `Python` `3.10.x` instalado.

## Setup

Activar submodulos de git:

```shell
$ git submodule update --init --recursive
```

Instalar entorno virtual:

```shell
$ ./setup.sh
```

Activar entorno virtual:

```shell
$ . venv/bin/activate
```

Ejecutar test suite:

```shell
$ ./run_tests
```

Si todos los tests pasan, la instalación fue correcta


## Experimentos

Para generar cualquiera de los graficos ejectuar los scripts de `Python` en `src/experiments/*.py`.
La mayoria no toma parametros, los que si pueden leerse que parametros toma dentro del propio script.

Ejemplo para grafico de difusion:

```shell
$ . venv/bin/activate
$ python src/experiments/difussion_2d.py 100
```
