import numpy as np
import matplotlib.pyplot as plt
import pandas as pd
from classifier.cv import *
from classifier.auxiliars import *


df_train = df[df["split"] =="train"]

def explorarHiperParametroK(n:int = 15):
    cv_500 = []
    cv_1000 = []
    cv_5000 = []
    for k in range(1,n):
        cv_500.append(cross_validation(df_train,k,500))
        cv_1000.append(cross_validation(df_train,k,1000))
        cv_5000.append(cross_validation(df_train,k,5000))

    print(cv_500)
    print()
    print(cv_1000)
    print()
    print(cv_5000)
    print()
    
